import 'package:flutter/material.dart';
import 'package:verttice_ui/verttice_ui.dart';

class ThemedLocaleState extends ChangeNotifier {
  ThemedLocaleState() {
    _initLocale();
  }

  late ThemedLocale _locale;
  ThemedLocale get locale => _locale;

  void setLocale(ThemedLocale locale) {
    _locale = locale;

    VertticeUI.instance.localeManager.initLocale(locale);

    notifyListeners();
  }

  void _initLocale() {
    _locale = VertticeUI.instance.localeManager.locale;
  }
}
