// 🐦 Flutter imports:
import "package:flutter/material.dart";

// 🌎 Project imports:
import 'package:verttice_ui/src/config/config.dart';
import 'package:verttice_ui/src/enums/screen_type_enum.dart';

class ScreenSizeUtils {
  ScreenSizeUtils._();

  static bool isMobile({
    required BuildContext context,
  }) {
    final width = MediaQuery.of(context).size.width;
    final height = MediaQuery.of(context).size.height;

    return width <= VertticeUI.mobileWidth || height <= VertticeUI.mobileHeight;
  }

  static ScreenTypeEnum screenType(
    BuildContext context,
  ) {
    final width = MediaQuery.of(context).size.width;
    final height = MediaQuery.of(context).size.height;

    if (width <= VertticeUI.mobileWidth || height <= VertticeUI.mobileHeight) {
      return ScreenTypeEnum.mobile;
    }
    return ScreenTypeEnum.desktop;
  }

  static ScreenTypeEnum screenTypeFromSize(
    double width,
  ) {
    if (width <= VertticeUI.mobileWidth) {
      return ScreenTypeEnum.mobile;
    }
    return ScreenTypeEnum.desktop;
  }
}
