// 🐦 Flutter imports:
import 'package:flutter/material.dart';

// 🌎 Project imports:
import 'package:verttice_ui/verttice_ui.dart';

class EditorImageWeb extends StatefulWidget {
  const EditorImageWeb({
    Key? key,
    required this.imageUrl,
  }) : super(key: key);

  final String imageUrl;

  @override
  State<EditorImageWeb> createState() => _WebVideoAppState();
}

class _WebVideoAppState extends State<EditorImageWeb> {
  @override
  Widget build(BuildContext context) {
    return ConstrainedBox(
      constraints: const BoxConstraints(maxHeight: 350),
      child: InkWell(
        onTap: () async {
          Navigator.push(
            context,
            MaterialPageRoute(
              builder: (BuildContext context) {
                return ImageViewerFullPage(
                  imageID: widget.imageUrl,
                  url: widget.imageUrl,
                );
              },
            ),
          );
        },
        child: Image.network(
          widget.imageUrl,
          fit: BoxFit.contain,
        ),
      ),
    );
  }
}
